
unit main;

{$IFDEF FPC}{$MODE objfpc}{$H+}{$ENDIF}

interface

uses
  mseglob, mseguiglob, mseguiintf, mseapplication, msestat, msemenus, msegui,
  msegraphics, msegraphutils, mseevent, mseclasses, mseforms, msesimplewidgets,
  msewidgets;

type
  tmainfo = class(tmainform)
    tpaintbox1: tpaintbox;
    procedure tpaintbox1_onpaint(const sender: twidget; const acanvas: tcanvas);
  end;
  
var
  mainfo: tmainfo;
  
implementation

uses
  main_mfm, bgrabitmap, bgrabitmaptypes, bgragraphics;

procedure tmainfo.tpaintbox1_onpaint(const sender: twidget; const acanvas: tcanvas);
var
  bmp: tbgrabitmap;
begin
  (*
  acanvas.drawline(
    makepoint(0, 0),
    makepoint(sender.bounds_cx, sender.bounds_cy),
    cl_ltblue
  );
  *)

  bmp := tbgrabitmap.create(sender.bounds_cx, sender.bounds_cy);
  
  bmp.fillellipseantialias(
    sender.bounds_cx / 2, sender.bounds_cy / 2,
    sender.bounds_cx / 2, sender.bounds_cy / 2,
    cssred
  );

  bmp.draw(acanvas, 0, 0, false);
  bmp.free;
end;

end.
